# Supported l10n language
# to update this list (depending on which new localisations tarballs are available
# from upstream), you can use:
# $ ls SOURCES/kde-l10n*tar.bz2 | grep -v @valencia | awk -F- '{print $3}' | tr '\n' ' '
#
# Note: ca@valencia is treated differently because of the @ in the tarball name
%define langlist ar ast bg bs ca cs da de el en_GB  eo es et eu fa fi fr ga gl he hi hr hu ia id is it ja kk km ko lt lv mr nb nds nl nn pa pl pt pt_BR ro ru sk sl sr sv tr ug uk wa zh_CN zh_TW

%define disabled_langs af az be bn_IN bo br csb cy fo fy hne kn ku gu lo mai mi mk ml mt ne si se oc ta tg th ven vi xh

%define build_ca_valencia 1

%define name_handbooks %{name}-handbooks

#%{expand:%(for lang in %{disabled_langs}; do echo "%%{expand:%%define build_$lang 0"}; done)}
#%{expand:%(for lang in %{langlist}; do echo "%%{expand:%%define build_$lang 1"}; done)}
%{expand:%(for lang in %{disabled_langs}; do echo "%%{expand:%%global build_$lang 0}"; done)}
%{expand:%(for lang in %{langlist}; do echo "%%{expand:%%global build_$lang 1}"; done)}

Name: kde-l10n
Version: 17.08.3
Release: %mkrel 1
Url: http://www.kde.org
Summary: Internationalization support for KDE
Group: Graphical desktop/KDE5
License: LGPLv2
BuildArch: noarch
# l10n sources
# list ca@valencia tarball separately due to the @ in the tarball name
Source1: http://download.kde.org/stable/applications/%{version}/src/kde-l10n/kde-l10n-ca@valencia-%{version}.tar.xz
%{expand:%(\
	i=2; \
	for lang in %langlist; do\
		echo "%%{expand:Source$i: http://download.kde.org/stable/applications/%%{version}/src/kde-l10n/%%{name}-$lang-%%{version}.tar.xz}";\
		i=$[i+1];\
	done\
	)
}

Patch0:        kde-l10n-nn-16.11.90-fix-build.patch
BuildRequires: docbook-style-xsl
BuildRequires: docbook-dtd42-xml
BuildRequires: libkf5kdelibs4support-devel

BuildRequires: extra-cmake-modules
BuildRequires: kf5-macros
BuildRequires: kdoctools-devel
BuildRequires: ki18n-devel

BuildRequires: libqt5help-devel

%description
Internationalization support for KDE.

#----------------------------------------------------------------------------------------

%package en_US
Summary: American English support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-en
Provides: %{name}-American = %{version}-%{release}


%description en_US
%{summary}.

This is an empty package, en_US support is already provided by kdelibs4.

%files en_US

#----------------------------------------------------------------------------------------

%if %{build_af}
%package af
Summary: Afrikaans language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Provides: %{name}-Afrikaans = %{version}-%{release}


%description af
This package provides Afrikaans translations for KDE.

%files af
%lang(af) %_kf5_datadir/locale/af/LC_MESSAGES/*
%_kf5_datadir/locale/af/entry.desktop
%endif

#----------------------------------------------------------------------------------------

%if %{build_ar}
%package ar
Summary: Arabic language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-ar
Provides: %{name}-Arabic = %{version}-%{release}


%description ar
This package provides Arabic translation for KDE.

%files ar
%lang(ar) %_kf5_datadir/locale/ar/LC_MESSAGES/*
%_kf5_datadir/locale/ar/entry.desktop
%_kf5_datadir/locale/ar/LC_SCRIPTS/
%endif

%if %{build_ast}
%package ast
Summary: Asturian language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-ast
Provides: %{name}-Arabic = %{version}-%{release}


%description ast
This package provides Asturian translation for KDE.

%files ast
%lang(ar) %_kf5_datadir/locale/ast/LC_MESSAGES/*
%_kf5_datadir/locale/ast/entry.desktop
%endif



#----------------------------------------------------------------------------------------

%if %{build_az}
%package az
Summary: Azerbaijani language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Provides: %{name}-Azerbaijani = %{version}-%{release}


%description az
This package provides Azerbaijani translations for KDE.


%files az
%lang(az) %_kf5_datadir/locale/az/LC_MESSAGES/*
%_kf5_datadir/locale/az/entry.desktop
%endif

#----------------------------------------------------------------------------------------

%if %{build_eu}
%package eu
Summary: Basque language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-eu
Provides: %{name}-Basque = %{version}-%{release}


%description eu
This package provides Basque translations for KDE.


%files eu
%lang(eu) %_kf5_datadir/locale/eu/LC_MESSAGES/*
%_kf5_datadir/locale/eu/entry.desktop

%package handbooks-eu
Summary: Basque language support for KDE Handbooks
Group: Graphical desktop/KDE5
Requires: locales-eu
Provides: %{name_handbooks} = %{version}

%description handbooks-eu
%{summary}.

%files handbooks-eu
%_kf5_docdir/HTML/eu/*
%endif

#----------------------------------------------------------------------------------------

%if %{build_be}
%package be
Summary: Belarusian language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Provides: %{name}-Belarusian = %{version}-%{release}

%description be
%{summary}.

%files be
%lang(be) %_kf5_datadir/locale/be/LC_MESSAGES/*
%_kf5_datadir/locale/be/entry.desktop
%endif

#----------------------------------------------------------------------------------------

%if %{build_bn_IN}
%package bn_IN
Summary: Bengali India language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-bn
Provides: %{name}-Bengali-India = %{version}-%{release}
Provides: %{name}-Bengali = %{version}-%{release}

%description bn_IN
%{summary}.

%files bn_IN
%lang(bn_IN) %_kf5_datadir/locale/bn_IN/LC_MESSAGES/*
%_kf5_datadir/locale/bn_IN/entry.desktop
%endif

#----------------------------------------------------------------------------------------

%if %{build_bg}
%package bg
Summary: Bulgarian language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-bg
Provides: %{name}-Bulgarian = %{version}-%{release}

%description bg
%{summary}.

%files bg
%lang(bg) %_kf5_datadir/locale/bg/LC_MESSAGES/*
%_kf5_datadir/locale/bg/entry.desktop
%endif

#----------------------------------------------------------------------------------------

%if %{build_bo}
%package bo
Summary: Tibetan language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Provides: %{name}-Tibetan = %{version}-%{release}

%description bo
%{summary}.

%files bo
%lang(bo) %_kf5_datadir/locale/bo/LC_MESSAGES/*
%_kf5_datadir/locale/bo/entry.desktop
%endif

#----------------------------------------------------------------------------------------

%if %{build_br}
%package br
Summary: Breton language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Provides: %{name}-Breton = %{version}-%{release}


%description br
%{summary}.

%files br
%lang(br) %_kf5_datadir/locale/br/LC_MESSAGES/*
%_kf5_datadir/locale/br/entry.desktop
%endif

#----------------------------------------------------------------------------------------

%if %{build_bs}
%package bs
Summary: Bosnian language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Provides: %{name}-Bosnian = %{version}-%{release}

%description bs
%{summary}.

%files bs
%lang(bs) %_kf5_datadir/locale/bs/LC_MESSAGES/*
%_kf5_datadir/locale/bs/entry.desktop
%endif

#----------------------------------------------------------------------------------------

%if %{build_ca}
%package ca
Summary: Catalan language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-ca
Provides: %{name}-Catalan = %{version}-%{release}

%description ca
%{summary}.

%files ca
%lang(ca) %_kf5_datadir/locale/ca/LC_MESSAGES/*
%_kf5_datadir/locale/ca/LC_SCRIPTS/
%_kf5_datadir/locale/ca/entry.desktop
%_kf5_appsdir/autocorrect/ca.xml

#----------------------------------------------------------------------------------------

%package handbooks-ca
Summary: Catalan language support for KDE Handbooks
Group: Graphical desktop/KDE5
Requires: locales-ca
Provides: %{name_handbooks} = %{version}

%description handbooks-ca
%{summary}.

%files handbooks-ca
%_kf5_docdir/HTML/ca/*
%_kf5_mandir/ca
%endif

#----------------------------------------------------------------------------------------

%if %{build_ca_valencia}
%package ca-valencia
Summary: Catalan (Valencian) language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Provides: %{name}-Catalan-Valencian = %{version}-%{release}

%description ca-valencia
%{summary}.

%files ca-valencia
%lang(ca-valencia) %_kf5_datadir/locale/ca@valencia/LC_MESSAGES/*
%_kf5_datadir/locale/ca@valencia/entry.desktop
%endif

#----------------------------------------------------------------------------------------

%if %{build_cs}
%package cs
Summary: Czech language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-cs
Provides: %{name}-Czech = %{version}-%{release}


%description cs
%{summary}.

%files cs
%lang(cs) %_kf5_datadir/locale/cs/LC_MESSAGES/*
%_kf5_datadir/locale/cs/entry.desktop
%_kf5_appsdir/autocorrect/cs.xml

%package handbooks-cs
Summary: Czech language support for KDE Handbooks
Group: Graphical desktop/KDE5
Requires: locales-cs
Provides: %{name_handbooks} = %{version}

%description handbooks-cs
%{summary}.

%files handbooks-cs
%_kf5_docdir/HTML/cs/*
%endif

#----------------------------------------------------------------------------------------

%if %{build_csb}
%package csb
Summary: Kashubian language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-pl
Provides: %{name}-Kashubian = %{version}-%{release}



%description csb
%{summary}.

%files csb
%lang(csb) %_kf5_datadir/locale/csb/LC_MESSAGES/*
%_kf5_datadir/locale/csb/entry.desktop
%endif

#----------------------------------------------------------------------------------------

%if %{build_cy}
%package cy
Summary: Welsh language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Provides: %{name}-Welsh = %{version}-%{release}


%description cy
%{summary}.

%files cy
%lang(cy) %_kf5_datadir/locale/cy/LC_MESSAGES/*
%_kf5_datadir/locale/cy/entry.desktop
%endif

#----------------------------------------------------------------------------------------

%if %{build_da}
%package da
Summary: Danish language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-da
Provides: %{name}-Danish = %{version}-%{release}

%description da
%{summary}.

%files da
%lang(da) %_kf5_datadir/locale/da/LC_MESSAGES/*
%_kf5_datadir/locale/da/entry.desktop

%package handbooks-da
Summary: Danish language support for KDE Handbooks
Group: Graphical desktop/KDE5
Requires: locales-da
Provides: %{name_handbooks} = %{version}

%description handbooks-da
%{summary}.

%files handbooks-da
%_kf5_docdir/HTML/da/*
%_kf5_mandir/da
%endif

#----------------------------------------------------------------------------------------

%if %{build_de}
%package de
Summary: German language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-de
Provides: %{name}-German = %{version}-%{release}

%description de
%{summary}.

%files de
%lang(de) %_kf5_datadir/locale/de/LC_MESSAGES/*
%_kf5_datadir/locale/de/LC_SCRIPTS/
%_kf5_datadir/locale/de/entry.desktop
%_kf5_appsdir/autocorrect/de_DE.xml

%package handbooks-de
Summary: German language support for KDE Handbooks
Group: Graphical desktop/KDE5
Requires: locales-de
Provides: %{name_handbooks} = %{version}

%description handbooks-de
%{summary}.

%files handbooks-de
%_kf5_docdir/HTML/de/*
%_kf5_mandir/de
%endif

#----------------------------------------------------------------------------------------

%if %{build_el}
%package el
Summary: Greek language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-el
Provides: %{name}-Greek = %{version}-%{release}



%description el
%{summary}.

%files el
%lang(el) %_kf5_datadir/locale/el/LC_MESSAGES/*
%_kf5_datadir/locale/el/entry.desktop

%package handbooks-el
Summary: Greek language support for KDE Handbooks
Group: Graphical desktop/KDE5
Requires: locales-el
Provides: %{name_handbooks} = %{version}

%description handbooks-el
%{summary}.

%files handbooks-el
%_kf5_docdir/HTML/el/
%_kf5_mandir/el

%endif

#----------------------------------------------------------------------------------------

%if %{build_gu}
%package gu
Summary: Gujarati language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-gu
Provides: %{name}-Gujarati = %{version}-%{release}


%description gu
%{summary}.

%files gu
%lang(gu) %_kf5_datadir/locale/gu/LC_MESSAGES/*
%_kf5_datadir/locale/gu/entry.desktop
%endif

#----------------------------------------------------------------------------------------

%if %{build_en_GB}
%package en_GB
Summary: British English support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-en
Provides: %{name}-British = %{version}-%{release}


%description en_GB
%{summary}.

%files en_GB
%lang(en_GB) %_kf5_datadir/locale/en_GB/LC_MESSAGES/*
%_kf5_datadir/locale/en_GB/entry.desktop

%package handbooks-en_GB
Summary: British English support for KDE Handbooks
Group: Graphical desktop/KDE5
Requires: locales-en
Provides: %{name_handbooks} = %{version}


%description handbooks-en_GB
%{summary}.

%files handbooks-en_GB
%_kf5_docdir/HTML/en_GB/

%endif

#----------------------------------------------------------------------------------------

%if %{build_eo}
%package eo
Summary: Esperanto support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-eo
Provides: %{name}-Esperanto = %{version}-%{release}


%description eo
%{summary}.

%files eo
%lang(eo) %_kf5_datadir/locale/eo/LC_MESSAGES/*
%_kf5_datadir/locale/eo/entry.desktop

%package handbooks-eo
Summary: Esperanto support for KDE Handbooks
Group: Graphical desktop/KDE5
Requires: locales-eo
Provides: %{name_handbooks} = %{version}


%description handbooks-eo
%{summary}.

%files handbooks-eo
%_kf5_docdir/HTML/eo/*
%endif

#----------------------------------------------------------------------------------------

%if %{build_es}
%package es
Summary: Spanish language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-es

Provides: %{name}-Spanish = %{version}-%{release}


%description es
%{summary}.

%files es
%lang(es) %_kf5_datadir/locale/es/LC_MESSAGES/*
%_kf5_datadir/locale/es/entry.desktop
%_kf5_appsdir/autocorrect/es.xml

%package handbooks-es
Summary: Spanish language support for KDE Handbooks
Group: Graphical desktop/KDE5
Requires: locales-es
Provides: %{name_handbooks} = %{version}


%description handbooks-es
%{summary}.

%files handbooks-es
%_kf5_docdir/HTML/es/*
%_kf5_mandir/es
%endif

#----------------------------------------------------------------------------------------

%if %{build_et}
%package et
Summary: Estonian language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-et
Provides: %{name}-Estonian = %{version}-%{release}


%description et
%{summary}.

%files et
%lang(et) %_kf5_datadir/locale/et/LC_MESSAGES/*
%_kf5_datadir/locale/et/entry.desktop

%package handbooks-et
Summary: Estonian language support for KDE Handbooks
Group: Graphical desktop/KDE5
Requires: locales-et
Provides: %{name_handbooks} = %{version}


%description handbooks-et
%{summary}.

%files handbooks-et
%_kf5_docdir/HTML/et/*
%_kf5_mandir/et
%endif

#----------------------------------------------------------------------------------------

%if %{build_fa}
%package fa
Summary: Farsi language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-fa
Provides: %{name}-Farsi = %{version}-%{release}


%description fa
%{summary}.

%files fa
%lang(fa) %_kf5_datadir/locale/fa/LC_MESSAGES/*
%_kf5_datadir/locale/fa/entry.desktop
%endif

#----------------------------------------------------------------------------------------

%if %{build_fi}
%package fi
Summary: Finnish language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-fi
Provides: %{name}-Finnish = %{version}-%{release}

%description fi
%{summary}.

%files fi
%lang(fi) %_kf5_datadir/locale/fi/LC_MESSAGES/*
%_kf5_datadir/locale/fi/entry.desktop
%_kf5_datadir/locale/fi/LC_SCRIPTS/
%endif

#----------------------------------------------------------------------------------------

%if %{build_fo}
%package fo
Summary: Faroese language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Provides: %{name}-Faroese = %{version}-%{release}

%description fo
%{summary}.

%files fo
%lang(fo) %_kf5_datadir/locale/fo/LC_MESSAGES/*
%_kf5_datadir/locale/fo/entry.desktop
%endif

#----------------------------------------------------------------------------------------

%if %{build_fr}
%package fr
Summary: French language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-fr
Provides: %{name}-French = %{version}-%{release}



%description fr
%{summary}.

%files fr
%lang(fr) %_kf5_datadir/locale/fr/LC_MESSAGES/*
%_kf5_datadir/locale/fr/entry.desktop
%_kf5_appsdir/autocorrect/fr.xml

%package handbooks-fr
Summary: French language support for KDE Handbooks
Group: Graphical desktop/KDE5
Requires: locales-fr
Provides: %{name_handbooks} = %{version}


%description handbooks-fr
%{summary}.

%files handbooks-fr
%_kf5_docdir/HTML/fr/*
%_kf5_mandir/fr
%endif

#----------------------------------------------------------------------------------------

%if %{build_fy}
%package fy
Summary: Frisian language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-fy
Provides: %{name}-Frisian = %{version}-%{release}


%description fy
%{summary}.

%files fy
%lang(fy) %_kf5_datadir/locale/fy/LC_MESSAGES/*
%_kf5_datadir/locale/fy/entry.desktop
%endif

#----------------------------------------------------------------------------------------

%if %{build_ga}
%package ga
Summary: Irish language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-ga
Provides: %{name}-Irish = %{version}-%{release}


%description ga
%{summary}.

%files ga
%lang(ga) %_kf5_datadir/locale/ga/LC_MESSAGES/*
%_kf5_datadir/locale/ga/LC_SCRIPTS/
%_kf5_datadir/locale/ga/entry.desktop
%endif

#----------------------------------------------------------------------------------------

%if %{build_gl}
%package gl
Summary: Galician language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-gl
Provides: %{name}-Galician = %{version}-%{release}


%description gl
%{summary}.

%files gl
%lang(gl) %_kf5_datadir/locale/gl/LC_MESSAGES/*
%_kf5_datadir/locale/gl/entry.desktop

%package handbooks-gl
Summary: Galician language support for KDE Handbooks
Group: Graphical desktop/KDE5
Requires: locales-gl
Provides: %{name_handbooks} = %{version}


%description handbooks-gl
%{summary}.

%files handbooks-gl
%_kf5_docdir/HTML/gl/*
%_kf5_mandir/gl
%endif

#----------------------------------------------------------------------------------------

%if %{build_he}
%package he
Summary: Hebrew language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-he
Provides: %{name}-Hebrew = %{version}-%{release}


%description he
%{summary}.

%files he
%lang(he) %_kf5_datadir/locale/he/LC_MESSAGES/*
%_kf5_datadir/locale/he/entry.desktop

%package handbooks-he
Summary: Hebrew language support for KDE Handbooks
Group: Graphical desktop/KDE5
Requires: locales-he
Provides: %{name_handbooks} = %{version}


%description handbooks-he
%{summary}.

%files handbooks-he
%_kf5_docdir/HTML/he/*
%endif

#----------------------------------------------------------------------------------------

%if %{build_hi}
%package hi
Summary: Hindi language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-hi
Provides: %{name}-Hindi = %{version}-%{release}


%description hi
%{summary}.

%files hi
%lang(hi) %_kf5_datadir/locale/hi/LC_MESSAGES/*
%_kf5_datadir/locale/hi/entry.desktop
%endif

#----------------------------------------------------------------------------------------

%if %{build_hne}
%package hne
Summary: Chhattisgarhi language support for KDE 
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-hne
Provides: %{name}-Chhattisgarhi = %{version}-%{release}


%description hne
%{summary}.

%files hne
%lang(hne) %_kf5_datadir/locale/hne/LC_MESSAGES/*
%_kf5_datadir/locale/hne/entry.desktop
%endif

#----------------------------------------------------------------------------------------

%if %{build_hr}
%package hr
Summary: Croatian language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-hr
Provides: %{name}-Croatian = %{version}-%{release}


%description hr
%{summary}.

%files hr
%lang(hr) %_kf5_datadir/locale/hr/LC_MESSAGES/*
%_kf5_datadir/locale/hr/entry.desktop
%_kf5_datadir/locale/hr/LC_SCRIPTS
%endif

#----------------------------------------------------------------------------------------

%if %{build_hu}
%package hu
Summary: Hungarian language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-hu
Provides: %{name}-Hungarian = %{version}-%{release}


%description hu
%{summary}.

%files hu
%lang(hu) %_kf5_datadir/locale/hu/LC_MESSAGES/*
%_kf5_datadir/locale/hu/entry.desktop
%_kf5_appsdir/autocorrect/hu.xml

%package handbooks-hu
Summary: Hungarian language support for KDE Handbooks
Group: Graphical desktop/KDE5
Requires: locales-hu
Provides: %{name_handbooks} = %{version}

%description handbooks-hu
%{summary}.

%files handbooks-hu
%_kf5_docdir/HTML/hu/*
%endif

#----------------------------------------------------------------------------------------

%if %{build_ia}
%package ia
Summary: Interlingua language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Provides: %{name}-Interlingua = %{version}-%{release}

%description ia
%{summary}.

%files ia
%lang(ia) %_kf5_datadir/locale/ia/LC_MESSAGES/*
%_kf5_datadir/locale/ia/entry.desktop
%endif

#----------------------------------------------------------------------------------------

%if %{build_id}
%package id
Summary: Indonesian language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-id
Provides: %{name}-Indonesian = %{version}-%{release}

%description id
%{summary}.

%files id
%lang(id) %_kf5_datadir/locale/id/LC_MESSAGES/*
%_kf5_datadir/locale/id/entry.desktop
%endif

#----------------------------------------------------------------------------------------

%if %{build_is}
%package is
Summary: Icelandic language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-is
Provides: %{name}-Icelandic = %{version}-%{release}

%description is
%{summary}.

%files is
%lang(is) %_kf5_datadir/locale/is/LC_MESSAGES/*
%_kf5_datadir/locale/is/entry.desktop
%endif

#----------------------------------------------------------------------------------------

%if %{build_it}
%package it
Summary: Italian language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-it
Provides: %{name}-Italian = %{version}-%{release}

%description it
%{summary}.

%files it
%lang(it) %_kf5_datadir/locale/it/LC_MESSAGES/*
%_kf5_datadir/locale/it/entry.desktop
%_kf5_appsdir/autocorrect/it_IT.xml

%package handbooks-it
Summary: Italian language support for KDE Handbooks
Group: Graphical desktop/KDE5
Requires: locales-it
Provides: %{name_handbooks} = %{version}


%description handbooks-it
%{summary}.

%files handbooks-it
%_kf5_docdir/HTML/it/*
%_kf5_mandir/it
%endif

#------------------------------------------------------------------------------

%if %{build_ja}
%package ja
Summary: Japanese language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-ja
Provides: %{name}-Japanese = %{version}-%{release}

%description ja
%{summary}.

%files ja
%lang(ja) %_kf5_datadir/locale/ja/LC_MESSAGES/*
%_kf5_datadir/locale/ja/LC_SCRIPTS/
%_kf5_datadir/locale/ja/entry.desktop

%package handbooks-ja
Summary: Japanese language support for KDE Handbooks
Group: Graphical desktop/KDE5
Requires: locales-ja
Provides: %{name_handbooks} = %{version}


%description handbooks-ja
%{summary}.

%files handbooks-ja
%_kf5_docdir/HTML/ja/*
%endif

#------------------------------------------------------------------------------

%if %{build_kn}
%package kn
Summary: Kannada language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-kn
Provides: %{name}-Kannada = %{version}-%{release}

%description kn
%{summary}.

%files kn
%lang(kn) %_kf5_datadir/locale/kn/LC_MESSAGES/*
%_kf5_datadir/locale/kn/entry.desktop
%endif

#------------------------------------------------------------------------------

%if %{build_kk}
%package kk
Summary: Kazakh language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-kk
Provides: %{name}-Kazakh = %{version}-%{release}

%description kk
%{summary}.

%files kk
%lang(kk) %_kf5_datadir/locale/kk/LC_MESSAGES/*
%_kf5_datadir/locale/kk/entry.desktop
%endif

#------------------------------------------------------------------------------

%if %{build_km}
%package km
Summary: Khmer language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-km
Provides: %{name}-Khmer = %{version}-%{release}


%description km
%{summary}.

%files km
%lang(km) %_kf5_datadir/locale/km/LC_MESSAGES/*
%_kf5_datadir/locale/km/entry.desktop
%_kf5_datadir/locale/km/flag.png
%endif

#------------------------------------------------------------------------------

%if %{build_ko}
%package ko
Summary: Korean language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-ko
Provides: %{name}-Korean = %{version}-%{release}


%description ko
%{summary}.

%files ko
%lang(ko) %_kf5_datadir/locale/ko/LC_MESSAGES/*
%_kf5_datadir/locale/ko/LC_SCRIPTS/
%_kf5_datadir/locale/ko/entry.desktop

%package handbooks-ko
Summary: Korean language support for KDE Handbooks
Group: Graphical desktop/KDE5
Requires: locales-ko
Provides: %{name_handbooks} = %{version}


%description handbooks-ko
%{summary}.

%files handbooks-ko
%_kf5_docdir/HTML/ko/*
%endif

#------------------------------------------------------------------------------

%if %{build_ku}
%package ku
Summary: Kurdish language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-ku
Provides: %{name}-Kurdish = %{version}-%{release}


%description ku
%{summary}.


%files ku
%lang(ku) %_kf5_datadir/locale/ku/LC_MESSAGES/*
%_kf5_datadir/locale/ku/entry.desktop
%endif

#------------------------------------------------------------------------------

%if %{build_lo}
%package lo
Summary: Lao language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Provides: %{name}-Lao = %{version}-%{release}


%description lo
%{summary}.

%files lo
%lang(lo) %_kf5_datadir/locale/lo/LC_MESSAGES/*
%_kf5_datadir/locale/lo/entry.desktop
%endif

#------------------------------------------------------------------------------

%if %{build_lt}
%package lt
Summary: Lithuanian language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-lt
Provides: %{name}-Lithuanian = %{version}-%{release}

%description lt
%{summary}.

%files lt
%lang(lt) %_kf5_datadir/locale/lt/LC_MESSAGES/*
%_kf5_datadir/locale/lt/LC_SCRIPTS/
%_kf5_datadir/locale/lt/entry.desktop

%package handbooks-lt
Summary: Lithuanian language support for KDE Handbooks
Group: Graphical desktop/KDE5
Requires: locales-lt
Provides: %{name_handbooks} = %{version}


%description handbooks-lt
%{summary}.

%files handbooks-lt
%_kf5_docdir/HTML/lt/*
%_kf5_mandir/lt
%endif

#------------------------------------------------------------------------------

%if %{build_lv}
%package lv
Summary: Latvian language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-lv
Provides: %{name}-Latvian = %{version}-%{release}

%description lv
%{summary}.

%files lv
%lang(lv) %_kf5_datadir/locale/lv/LC_MESSAGES/*
%_kf5_datadir/locale/lv/entry.desktop
%_kf5_datadir/locale/lv/LC_SCRIPTS
%endif

#------------------------------------------------------------------------------

%if %{build_nds}
%package nds
Summary: Low Saxon language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-nds
Provides: %{name}-LowSaxon = %{version}-%{release}


%description nds
%{summary}.

%files nds
%lang(nds) %_kf5_datadir/locale/nds/LC_MESSAGES/*
%_kf5_datadir/locale/nds/entry.desktop
%_kf5_appsdir/autocorrect/nds.xml

%package handbooks-nds
Summary: Low Saxon language support for KDE Handbooks
Group: Graphical desktop/KDE5
Requires: locales-nds
Provides: %{name_handbooks} = %{version}


%description handbooks-nds
%{summary}.

%files handbooks-nds
%_kf5_docdir/HTML/nds/*
%endif

#------------------------------------------------------------------------------

%if %{build_mi}
%package mi
Summary: Maori language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Provides: %{name}-Maori = %{version}-%{release}

%description mi
%{summary}.

%files mi
%lang(mi) %_kf5_datadir/locale/mi/LC_MESSAGES/*
%_kf5_datadir/locale/mi/entry.desktop
%endif

#------------------------------------------------------------------------------

%if %{build_mk}
%package mk
Summary: Macedonian language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-mk
Provides: %{name}-Macedonian = %{version}-%{release}

%description mk
%{summary}.

%files mk
%lang(mk) %_kf5_datadir/locale/mk/LC_MESSAGES/*
%_kf5_datadir/locale/mk/entry.desktop
%endif

#------------------------------------------------------------------------------

%if %{build_mai}
%package mai
Summary: Maithili language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-mai
Provides: %{name}-Maithili = %{version}-%{release}


%description mai
%{summary}.

%files mai
%lang(mai) %_kf5_datadir/locale/mai/LC_MESSAGES/*
%_kf5_datadir/locale/mai/entry.desktop
%endif

#------------------------------------------------------------------------------

%if %{build_ml}
%package ml
Summary: Malayalam language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-ml
Provides: %{name}-Malayalam = %{version}-%{release}


%description ml
%{summary}.

%files ml
%lang(ml) %_kf5_datadir/locale/ml/LC_MESSAGES/*
%_kf5_datadir/locale/ml/LC_SCRIPTS/
%_kf5_datadir/locale/ml/entry.desktop
%endif

#------------------------------------------------------------------------------

%if %{build_mt}
%package mt
Summary: Maltese language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Provides: %{name}-Maltese = %{version}-%{release}

%description mt
%{summary}.

%files mt
%lang(mt) %_kf5_datadir/locale/mt/LC_MESSAGES/*
%_kf5_datadir/locale/mt/entry.desktop
%endif

#------------------------------------------------------------------------------

%if %{build_mr}
%package mr
Summary: Marathi language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-ca
Provides: %{name}-Marathi = %{version}-%{release}

%description mr
%{summary}.

%files mr
%lang(mr) %_kf5_datadir/locale/mr/LC_MESSAGES/*
%_kf5_datadir/locale/mr/entry.desktop
%endif

#------------------------------------------------------------------------------

%if %{build_ne}
%package ne
Summary: Nepali language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-ne
Provides: %{name}-Nepali = %{version}-%{release}

%description ne
%{summary}.

%files ne
%lang(ne) %_kf5_datadir/locale/ne/LC_MESSAGES/*
%_kf5_datadir/locale/ne/entry.desktop
%endif

#------------------------------------------------------------------------------

%if %{build_nl}
%package nl
Summary: Dutch language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-nl
Provides: %{name}-nl = %{version}-%{release}

%description nl
%{summary}.

%files nl
%lang(nl) %_kf5_datadir/locale/nl/LC_MESSAGES/*
%_kf5_datadir/locale/nl/LC_SCRIPTS/
%_kf5_datadir/locale/nl/entry.desktop

%package handbooks-nl
Summary: Dutch language support for KDE Handbooks
Group: Graphical desktop/KDE5
Requires: locales-nl
Provides: %{name_handbooks} = %{version}



%description handbooks-nl
%{summary}.

%files handbooks-nl
%_kf5_docdir/HTML/nl/*
%_kf5_mandir/nl
%endif

#------------------------------------------------------------------------------

%if %{build_se}
%package se
Summary: Northern Sami language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-se
Provides: %{name}-NorthernSami = %{version}-%{release}

%description se
%{summary}.

%files se
%lang(se) %_kf5_datadir/locale/se/LC_MESSAGES/*
%_kf5_datadir/locale/se/entry.desktop
%endif

#------------------------------------------------------------------------------

%if %{build_nb}
%package nb
Summary: Norwegian (Bokmaal) language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-nb
Provides: %{name}-Norwegian = %{version}-%{release}

%description nb
%{summary}.

%files nb
%lang(nb) %_kf5_datadir/locale/nb/LC_MESSAGES/*
%_kf5_datadir/locale/nb/LC_SCRIPTS/
%_kf5_datadir/locale/nb/entry.desktop

%package handbooks-nb
Summary: Norwegian (Bokmaal) language support for KDE Handbooks
Group: Graphical desktop/KDE5
Requires: locales-nb
Provides: %{name_handbooks} = %{version}


%description handbooks-nb
%{summary}.

%files handbooks-nb
%_kf5_docdir/HTML/nb/*
%endif

#------------------------------------------------------------------------------

%if %{build_nn}
%package nn
Summary: Norwegian (Nynorsk) language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-nn
Provides: %{name}-Norwegian-Nynorsk = %{version}-%{release}

%description nn
%{summary}.

%files nn
%lang(nn) %_kf5_datadir/locale/nn/LC_MESSAGES/*
%_kf5_datadir/locale/nn/LC_SCRIPTS/
%_kf5_datadir/locale/nn/entry.desktop

%package handbooks-nn
Summary: Norwegian (Nynorsk) language support for KDE Handbooks
Group: Graphical desktop/KDE5
Requires: locales-nn
Provides: %{name_handbooks} = %{version}


%description handbooks-nn
%{summary}.

%files handbooks-nn
%_kf5_docdir/HTML/nn/*
%endif

#------------------------------------------------------------------------------

%if %{build_oc}
%package oc
Summary: Occitan language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Provides: %{name}-Occitan = %{version}-%{release}


%description oc
%{summary}.

%files oc
%lang(oc) %_kf5_datadir/locale/oc/LC_MESSAGES/*
%_kf5_datadir/locale/oc/entry.desktop
%endif

#------------------------------------------------------------------------------

%if %{build_pl}
%package pl
Summary: Polish language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-pl
Provides: %{name}-Polish = %{version}-%{release}


%description pl
%{summary}.

%files pl
%lang(pl) %_kf5_datadir/locale/pl/LC_MESSAGES/*
%_kf5_datadir/locale/pl/entry.desktop

%package handbooks-pl
Summary: Polish language support for KDE Handbooks
Group: Graphical desktop/KDE5
Requires: locales-pl
Provides: %{name_handbooks} = %{version}


%description handbooks-pl
%{summary}.

%files handbooks-pl
%_kf5_docdir/HTML/pl/*
%_kf5_mandir/pl
%endif

#------------------------------------------------------------------------------

%if %{build_pt}
%package pt
Summary: Portuguese language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-pt
Provides: %{name}-Portuguese = %{version}-%{release}

%description pt
%{summary}.

%files pt
%lang(pt) %_kf5_datadir/locale/pt/LC_MESSAGES/*
%_kf5_datadir/locale/pt/entry.desktop

%package handbooks-pt
Summary: Portuguese language support for KDE Handbooks
Group: Graphical desktop/KDE5
Requires: locales-pt
Provides: %{name_handbooks} = %{version}

%description handbooks-pt
%{summary}.

%files handbooks-pt
%_kf5_docdir/HTML/pt/*
%_kf5_mandir/pt
%endif

#------------------------------------------------------------------------------

%if %{build_pa}
%package pa
Summary: Punjabi language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-pa
Provides: %{name}-Punjabi = %{version}-%{release}

%description pa
%{summary}.

%files pa
%lang(pa) %_kf5_datadir/locale/pa/LC_MESSAGES/*
%_kf5_datadir/locale/pa/entry.desktop
%endif

#------------------------------------------------------------------------------

%if %{build_pt_BR}
%package pt_BR
Summary: Brazil Portuguese language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-pt
Provides: %{name}-Brazil = %{version}-%{release}

%description pt_BR
%{summary}.

%files pt_BR
%lang(pt_BR) %_kf5_datadir/locale/pt_BR/LC_MESSAGES/*
%_kf5_datadir/locale/pt_BR/entry.desktop
%_kf5_appsdir/autocorrect/pt_BR.xml

%package handbooks-pt_BR
Summary: Brazil Portuguese language support for KDE Handbooks
Group: Graphical desktop/KDE5
Requires: locales-pt
Provides: %{name_handbooks} = %{version}


%description handbooks-pt_BR
%{summary}.

%files handbooks-pt_BR
%_kf5_docdir/HTML/pt_BR/*
%_kf5_mandir/pt_BR
%endif

#------------------------------------------------------------------------------

%if %{build_ro}
%package ro
Summary: Romanian language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-ro
Provides: %{name}-Romanian = %{version}-%{release}

%description ro
%{summary}.

%files ro
%lang(ro) %_kf5_datadir/locale/ro/LC_MESSAGES/*
%_kf5_datadir/locale/ro/entry.desktop

%package handbooks-ro
Summary: Romanian language support for KDE
Group: Graphical desktop/KDE5
Requires: locales-ro
Provides: %{name_handbooks} = %{version}


%description handbooks-ro
%{summary}.

%files handbooks-ro
%_kf5_docdir/HTML/ro/*
%endif

#------------------------------------------------------------------------------

%if %{build_ru}
%package ru
Summary: Russian language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-ru
Provides: %{name}-Russian = %{version}-%{release}

%description ru
%{summary}.

%files ru
%lang(ru) %_kf5_datadir/locale/ru/LC_MESSAGES/*
%_kf5_datadir/locale/ru/LC_SCRIPTS/
%_kf5_datadir/locale/ru/entry.desktop
%_kf5_appsdir/autocorrect/ru_RU.xml

%package handbooks-ru
Summary: Russian language support for KDE Handbooks
Group: Graphical desktop/KDE5
Requires: locales-ru
Provides: %{name_handbooks} = %{version}


%description handbooks-ru
%{summary}.

%files handbooks-ru
%_kf5_docdir/HTML/ru/*
%_kf5_mandir/ru
%endif

#------------------------------------------------------------------------------

%if %{build_si}
%package si
Summary: Sinhala language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-si
Provides: %{name}-Sinhala = %{version}-%{release}


%description si
%{summary}.

%files si
%lang(si) %_kf5_datadir/locale/si/LC_MESSAGES/*
%_kf5_datadir/locale/si/entry.desktop
%endif

#------------------------------------------------------------------------------

%if %{build_sk}
%package sk
Summary: Slovak language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-sk
Provides: %{name}-Slovak = %{version}-%{release}



%description sk
%{summary}.

%files sk
%lang(sk) %_kf5_datadir/locale/sk/LC_MESSAGES/*
%_kf5_datadir/locale/sk/entry.desktop
%endif

#------------------------------------------------------------------------------

%if %{build_sl}
%package sl
Summary: Slovenian language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-sl
Provides: %{name}-Slovenian = %{version}-%{release}


%description sl
%{summary}.

%files sl
%lang(sl) %_kf5_datadir/locale/sl/LC_MESSAGES/*
%_kf5_datadir/locale/sl/entry.desktop

%package handbooks-sl
Summary: Slovenian language support for KDE Handbooks
Group: Graphical desktop/KDE5
Requires: locales-sl
Provides: %{name_handbooks} = %{version}


%description handbooks-sl
%{summary}.

%files handbooks-sl
%_kf5_docdir/HTML/sl/*
%endif

#------------------------------------------------------------------------------

%if %{build_sr}
%package sr
Summary: Serbian language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-sr
Provides: %{name}-Serbian = %{version}-%{release}

%description sr
%{summary}.

%files sr
%lang(sr) %_kf5_datadir/locale/sr/LC_MESSAGES/*
%_kf5_datadir/locale/sr/LC_SCRIPTS/
%_kf5_datadir/locale/sr/entry.desktop
%_kf5_datadir/locale/sr@latin/entry.desktop
%_kf5_datadir/locale/sr@latin/LC_MESSAGES/*
%_kf5_datadir/locale/sr@latin/LC_SCRIPTS/
%_kf5_datadir/locale/sr@ijekavian/LC_MESSAGES/
%_kf5_datadir/locale/sr@ijekavian/LC_SCRIPTS/
%_kf5_datadir/locale/sr@ijekavian/entry.desktop
%_kf5_datadir/locale/sr@ijekavianlatin/LC_MESSAGES/
%_kf5_datadir/locale/sr@ijekavianlatin/LC_SCRIPTS
%_kf5_datadir/locale/sr@ijekavianlatin/entry.desktop
%_kf5_iconsdir/*/*/*/*/sr/
%_kf5_iconsdir/*/*/*/*/sr@latin/
%_kf5_iconsdir/*/*/*/*/sr@ijekavian/
%_kf5_iconsdir/*/*/*/*/sr@ijekavianlatin/
%_kf5_appsdir/desktoptheme/*/widgets/l10n/sr
%_kf5_appsdir/desktoptheme/*/widgets/l10n/sr@latin
%_kf5_appsdir/desktoptheme/*/widgets/l10n/sr@ijekavian
%_kf5_appsdir/desktoptheme/*/widgets/l10n/sr@ijekavianlatin
%_kf5_appsdir/desktoptheme/default/icons/l10n/sr*

%package handbooks-sr
Summary: Serbian language support for KDE Handbooks
Group: Graphical desktop/KDE5
Requires: locales-sr
Provides: %{name_handbooks} = %{version}


%description handbooks-sr
%{summary}.

%files handbooks-sr
%_kf5_docdir/HTML/sr/*
%_kf5_docdir/HTML/sr@latin/*

%endif

#------------------------------------------------------------------------------

%if %{build_sv}
%package sv
Summary: Swedish language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-sv
Provides: %{name}-Swedish = %{version}-%{release}


%description sv
%{summary}.

%files sv
%lang(sv) %_kf5_datadir/locale/sv/LC_MESSAGES/*
%_kf5_datadir/locale/sv/entry.desktop
%_kf5_datadir/locale/sv/LC_SCRIPTS/

%package handbooks-sv
Summary: Swedish language support for KDE Handbooks
Group: Graphical desktop/KDE5
Requires: locales-sv
Provides: %{name_handbooks} = %{version}


%description handbooks-sv
%{summary}.

%files handbooks-sv
%_kf5_docdir/HTML/sv/*
%_kf5_mandir/sv
%endif

#------------------------------------------------------------------------------

%if %{build_ta}
%package ta
Summary: Tamil language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-ta
Provides: %{name}-Tamil = %{version}-%{release}


%description ta
%{summary}.

%files ta
%lang(ta) %_kf5_datadir/locale/ta/LC_MESSAGES/*
%_kf5_datadir/locale/ta/entry.desktop
%endif

#------------------------------------------------------------------------------

%if %{build_tg}
%package tg
Summary: Tajik language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-tg
Provides: %{name}-Tajik = %{version}-%{release}


%description tg
%{summary}.

%files tg
%lang(tg) %_kf5_datadir/locale/tg/LC_MESSAGES/*
%_kf5_datadir/locale/tg/entry.desktop
%endif

#------------------------------------------------------------------------------

%if %{build_th}
%package th
Summary: Thai language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-th
Provides: %{name}-Thai = %{version}-%{release}


%description th
%{summary}.

%files th
%lang(th) %_kf5_datadir/locale/th/LC_MESSAGES/*
%_kf5_datadir/locale/th/charset
%_kf5_datadir/locale/th/entry.desktop
%_kf5_datadir/locale/th/flag.png
%endif

#------------------------------------------------------------------------------

%if %{build_tr}
%package tr
Summary: Turkish language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-tr
Provides: %{name}-Turkish = %{version}-%{release}

%description tr
%{summary}.

%files tr
%lang(tr) %_kf5_datadir/locale/tr/LC_MESSAGES/*
%_kf5_datadir/locale/tr/entry.desktop
%_kf5_mandir/tr

%package handbooks-tr
Summary: Turkish language support for KDE Handbooks
Group: Graphical desktop/KDE5
Requires: locales-tr
Provides: %{name_handbooks} = %{version}


%description handbooks-tr
%{summary}.

%files handbooks-tr
%_kf5_docdir/HTML/tr/*
%endif

#------------------------------------------------------------------------------

%if %{build_uk}
%package uk
Summary: Ukrainian language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-uk
Provides: %{name}-Ukrainian = %{version}-%{release}

%description uk
%{summary}.

%files uk
%lang(uk) %_kf5_datadir/locale/uk/LC_MESSAGES/*
%_kf5_datadir/locale/uk/LC_SCRIPTS/
%_kf5_datadir/locale/uk/entry.desktop
%_kf5_appsdir/autocorrect/uk.xml

%package handbooks-uk
Summary: Ukrainian language support for KDE
Group: Graphical desktop/KDE5
Requires: locales-uk
Provides: %{name_handbooks} = %{version}


%description handbooks-uk
%{summary}.

%files handbooks-uk
%_kf5_docdir/HTML/uk/*
%_kf5_mandir/uk
%endif

#------------------------------------------------------------------------------

%if %{build_ug}
%package ug
Summary: Uyghur language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-ug
Provides: %{name}-Uyghur = %{version}-%{release}

%description ug
%{summary}.
%files ug
%lang(ug) %_kf5_datadir/locale/ug/LC_MESSAGES/*
%_kf5_datadir/locale/ug/entry.desktop

%endif

#------------------------------------------------------------------------------

%if %{build_ven}
%package ven
Summary: Venda language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Provides: %{name}-Venda = %{version}-%{release}

%description ven
%{summary}.

%files ven
%lang(ven) %_kf5_datadir/locale/ven/LC_MESSAGES/*
%_kf5_datadir/locale/ven/entry.desktop
%endif

#------------------------------------------------------------------------------

%if %{build_vi}
%package vi
Summary: Vietnamese language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Provides: %{name}-Vietnamese = %{version}-%{release}

%description vi
%{summary}.

%files vi
%lang(vi) %_kf5_datadir/locale/vi/LC_MESSAGES/*
%_kf5_datadir/locale/vi/entry.desktop
%endif

#------------------------------------------------------------------------------

%if %{build_wa}
%package wa
Summary: Walloon language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-wa
Provides: %{name}-Walloon = %{version}-%{release}

%description wa
%{summary}.


%files wa
%lang(wa) %_kf5_datadir/locale/wa/LC_MESSAGES/*
%_kf5_datadir/locale/wa/entry.desktop

%package handbooks-wa
Summary: Walloon language support for KDE Handbooks
Group: Graphical desktop/KDE5
Requires: locales-wa
Provides: %{name_handbooks} = %{version}


%description handbooks-wa
%{summary}.


%files handbooks-wa
%_kf5_docdir/HTML/wa/*
%endif

#------------------------------------------------------------------------------

%if %{build_xh}
%package xh
Summary: Xhosa (a Bantu language) support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Provides: %{name}-Xhosa = %{version}-%{release}

%description xh
%{summary}.

%files xh
%lang(xh) %_kf5_datadir/locale/xh/LC_MESSAGES/*
%_kf5_datadir/locale/xh/entry.desktop
%endif

#------------------------------------------------------------------------------

%if %{build_zh_CN}
%package zh_CN
Summary: Chinese (Simplified Chinese) language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-zh
Provides: %{name}-Chinese = %{version}-%{release}


%description zh_CN
%{summary}.

%files zh_CN
%lang(zh_CN) %_kf5_datadir/locale/zh_CN/LC_MESSAGES/*
%_kf5_datadir/locale/zh_CN/LC_SCRIPTS/
%_kf5_datadir/locale/zh_CN/charset
%_kf5_datadir/locale/zh_CN/entry.desktop
%_kf5_datadir/locale/zh_CN/flag.png
%_kf5_appsdir/step/objinfo/l10n/zh_CN/

%package handbooks-zh_CN
Summary: Chinese (Simplified Chinese) language support for KDE Handbooks
Group: Graphical desktop/KDE5
Requires: locales-zh
Provides: %{name_handbooks} = %{version}


%description handbooks-zh_CN
%{summary}.

%files handbooks-zh_CN
%_kf5_docdir/HTML/zh_CN/*
%endif

#------------------------------------------------------------------------------

%if %{build_zh_TW}
%package zh_TW
Summary: Chinese (Traditional) language support for KDE
Group: Graphical desktop/KDE5
Provides: %{name} = %{version}
Requires: locales-zh
Provides: %{name}-Chinese-Traditional = %{version}-%{release}

%description zh_TW
%{summary}.

%files zh_TW
%lang(zh_TW) %_kf5_datadir/locale/zh_TW/LC_MESSAGES/*
%_kf5_datadir/locale/zh_TW/entry.desktop

%package handbooks-zh_TW
Summary: Chinese (Traditional) language support for KDE Handbooks
Group: Graphical desktop/KDE5
Requires: locales-zh
Provides: %{name_handbooks} = %{version}


%description handbooks-zh_TW
%{summary}.

%files handbooks-zh_TW
%_kf5_docdir/HTML/zh_TW/*
%endif

#------------------------------------------------------------------------------


%prep
%setup -T -q -n %{name}-%{version} -c

for lang in %{langlist} ; do
  echo $lang | grep -v '^#' && \
  tar xf %{_sourcedir}/%{name}-$lang-%{version}.tar.xz
done

%if %{build_ca_valencia}
tar xf %{_sourcedir}/%{name}-ca@valencia-%{version}.tar.xz
%endif

# upstream patches
%apply_patches

%build
for lang in %{langlist} sr/sr@ijekavian sr/sr@ijekavianlatin sr/sr@latin; do
if [[ "$lang" = @(sr/sr@ijekavian|sr/sr@ijekavianlatin|sr/sr@latin) ]]; then langdir=sr
else langdir=$lang; fi
pushd %_builddir/%{name}-%{version}/%{name}-$langdir-%{version}
      # Remove translations shipped by Plasma 5 and KDE Frameworks 5
      # Each Plasma 5 and KF5 app/library ship their own translations in their tarballs, so they
      # often conflict with kde-l10n, since most of the catalogs still have the same name

      # Provided by plasma-workspace and plasma-desktop
      sed -i -e 's/add_subdirectory( *kde-workspace *)/#add_subdirectory(kde-workspace)/g' 4/$lang/messages/CMakeLists.txt
      if [ -e 4/$lang/docs/CMakeLists.txt ]; then
        sed -i -e 's/add_subdirectory( *kde-workspace *)/#add_subdirectory(kde-workspace)/g' 4/$lang/docs/CMakeLists.txt
      fi
      rm -fv 4/$lang/messages/kde-runtime/{attica_kde,knetattach,drkonqi,phonon_kde,soliduiserver}.po
      rm -fv 4/$lang/messages/kde-runtime/kcm{_emoticons,_phonon,componentchooser,icons,kded,notify,_device_automounter}.po
      rm -fv 4/$lang/messages/kde-runtime/kio_{applications,remote}.po
      rm -fv 4/$lang/messages/kdelibs/{kcm_baloofile,plasma_runner_baloosearchrunner,kcm_activities}.po
      rm -fv 4/$lang/messages/applications/useraccount.po
      if [ -e 4/$lang/docs/kde-runtime/CMakeLists.txt ]; then
        sed -i -e 's/add_subdirectory( *kcontrol *)/#add_subdirectory(kcontrol)/g' 4/$lang/docs/kde-runtime/CMakeLists.txt
        sed -i -e 's/add_subdirectory( *kdesu *)/#add_subdirectory(kdesu)/g' 4/$lang/docs/kde-runtime/CMakeLists.txt
        sed -i -e 's/add_subdirectory( *khelpcenter *)/#add_subdirectory(khelpcenter)/g' 4/$lang/docs/kde-runtime/CMakeLists.txt
        sed -i -e 's/add_subdirectory( *knetattach *)/#add_subdirectory(knetattach)/g' 4/$lang/docs/kde-runtime/CMakeLists.txt
      fi
      # Provided by kdeplasma-addons
      sed -i -e 's/add_subdirectory( *kdeplasma-addons *)/#add_subdirectory(kdeplasma-addons)/g' 4/$lang/messages/CMakeLists.txt
      # Provided by kf5-kfilemetada
      rm -fv 4/$lang/messages/kdelibs/kfilemetadata.po
      # Provided by kf5-baloo
      rm -fv 4/$lang/messages/kdelibs/kio_{baloosearch,tags,timeline}.po
      rm -fv 4/$lang/messages/kdelibs/baloo{search,show,_file,_file_extractor}.po
      # Provided by kio-extras
      rm -fv 4/$lang/messages/kde-runtime/kio_{archive,bookmarks,fish,info,man,nfs,recentdocuments,sftp,smb,thumbnail}.po
      # Provided by kde-cli-tools
      rm -fv 4/$lang/messages/kde-runtime/{filetypes,kcmshell,kdesu,kioclient,kmimetypefinder,kstart,ktraderclient}.po
      # Provided by khelpcenter
      rm -fv 4/$lang/messages/kde-runtime/{htmlsearch,kcmhtmlsearch,khelpcenter}.po
      # Provided by ktp-desktop-applets
      rm -fv 4/$lang/messages/kdenetwork/plasma_applet_org.kde.ktp-{contact,presence}.po
      %{cmake_kde4}
      %make
popd

done

# build ca@valencia separately due to the @ in the tarball name
%if %{build_ca_valencia}
pushd %_builddir/%{name}-%{version}/%{name}-ca@valencia-%{version}
      # Remove translations shipped by Plasma 5 and KDE Frameworks 5
      # Each Plasma 5 and KF5 app/library ship their own translations in their tarballs, so they
      # often conflict with kde-l10n, since most of the catalogs still have the same name

      # Provided by plasma-workspace and plasma-desktop
      sed -i -e 's/add_subdirectory( *kde-workspace *)/#add_subdirectory(kde-workspace)/g' 4/ca@valencia/messages/CMakeLists.txt
      if [ -e 4/ca@valencia/docs/CMakeLists.txt ]; then
        sed -i -e 's/add_subdirectory( *kde-workspace *)/#add_subdirectory(kde-workspace)/g' 4/ca@valencia/docs/CMakeLists.txt
      fi
      rm -fv 4/ca@valencia/messages/kde-runtime/{attica_kde,knetattach,drkonqi,phonon_kde,soliduiserver}.po
      rm -fv 4/ca@valencia/messages/kde-runtime/kcm{_emoticons,_phonon,componentchooser,icons,kded,notify}.po
      rm -fv 4/ca@valencia/messages/kde-runtime/kio_{applications,remote}.po
      rm -fv 4/ca@valencia/messages/kdelibs/{kcm_baloofile,plasma_runner_baloosearchrunner}.po
      rm -fv 4/ca@valencia/messages/applications/useraccount.po
      if [ -e 4/ca@valencia/docs/kde-runtime/CMakeLists.txt ]; then
        sed -i -e 's/add_subdirectory( *kcontrol *)/#add_subdirectory(kcontrol)/g' 4/ca@valencia/docs/kde-runtime/CMakeLists.txt
        sed -i -e 's/add_subdirectory( *kdesu *)/#add_subdirectory(kdesu)/g' 4/ca@valencia/docs/kde-runtime/CMakeLists.txt
        sed -i -e 's/add_subdirectory( *khelpcenter *)/#add_subdirectory(khelpcenter)/g' 4/ca@valencia/docs/kde-runtime/CMakeLists.txt
        sed -i -e 's/add_subdirectory( *knetattach *)/#add_subdirectory(knetattach)/g' 4/ca@valencia/docs/kde-runtime/CMakeLists.txt
      fi
      # Provided by kdeplasma-addons
      sed -i -e 's/add_subdirectory( *kdeplasma-addons *)/#add_subdirectory(kdeplasma-addons)/g' 4/ca@valencia/messages/CMakeLists.txt
      # Provided by kf5-kfilemetada
      rm -fv 4/ca@valencia/messages/kdelibs/kfilemetadata.po
      # Provided by kf5-baloo
      rm -fv 4/ca@valencia/messages/kdelibs/kio_{baloosearch,tags,timeline}.po
      rm -fv 4/ca@valencia/messages/kdelibs/baloo{search,show,_file,_file_extractor}.po
      # Provided by kio-extras
      rm -fv 4/ca@valencia/messages/kde-runtime/kio_{archive,bookmarks,fish,info,man,nfs,recentdocuments,sftp,smb,thumbnail}.po
      # Provided by kde-cli-tools
      rm -fv 4/ca@valencia/messages/kde-runtime/{filetypes,kcmshell,kdesu,kioclient,kmimetypefinder,kstart,ktraderclient}.po
      # Provided by khelpcenter
      rm -fv 4/ca@valencia/messages/kde-runtime/{htmlsearch,kcmhtmlsearch,khelpcenter}.po
      # Provided by ktp-desktop-applets
      rm -fv 4/ca@valencia/messages/kdenetwork/plasma_applet_org.kde.ktp-{contact,presence}.po

      %{cmake_kde4}
      %make
popd
%endif

%install
for lang in %langlist ; do
pushd %_builddir/%{name}-%{version}/%{name}-$lang-%{version}
     %make_install -C build
done

# install ca@valencia separately due to the @ in the tarball name
%if %{build_ca_valencia}
pushd %_builddir/%{name}-%{version}/%{name}-ca@valencia-%{version}
     %make_install -C build
popd
%endif


%changelog
* Wed Jan 09 2019 adrianomorselli <adrianomorselli> 17.08.3-1uplos2019
- update
